#ifndef _PERFORMANCEGRAPH_H
#define _PERFORMANCEGRAPH_H

#include <vector>

/** Class for drawing a performance graph into the render window
*/
class PerformanceGraph
{
public:
	
	PerformanceGraph(const int maxData);

	void Draw();

	void AddData(float data);

	void Reset();


protected:

	void DrawGrid();
	void DrawBackGround();
	void DrawCurve();

	std::vector<float> mData;

	int mMaxData;
	int mCurrentIdx;
};

#endif